Custom metrics
Retrieve metric values
Retrieve metric values. Required Permissions: UpdateMonitoringSettings
GET
/
api
/
metricValues
/
v1
/
{modelMonitoringId}
/
{metric}
Retrieve metric values
curl --request GET \
--url https://mycluster.domino.tech/api/metricValues/v1/{modelMonitoringId}/{metric} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/metricValues/v1/{modelMonitoringId}/{metric}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/metricValues/v1/{modelMonitoringId}/{metric}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"metricValues": [
{
"referenceTimestamp": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"value": 123
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
ID of the monitored model
Name of the metric to retrieve
Query Parameters
Timestamp to filter metrics by referenceTimestamp >= startingReferenceTimestampInclusive. Timestamp should follow the RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00
Timestamp to filter metrics by referenceTimestamp <= endingReferenceTimestampInclusive. Timestamp should follow the RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00
Last modified on September 3, 2026
Was this page helpful?
⌘I
Retrieve metric values
